Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class DoubleListModel

    java.lang.Object
      |
      +--ccl.swing.DoubleListModel

public class DoubleListModel
extends java.lang.Object

The model for the DoubleList component. This model actually represents a tree with a root that is not used for anything and than a depth of 2.

Constructor Summary
`DoubleListModel(java.util.Vector vFirstList_, java.util.Vector vSecondList_)`

Method Summary
`void` | `addFirstElement(java.lang.Object pObject_)` Adds a new element into the first model with an empty list for the second model.
`javax.swing.DefaultListModel` | `getFirstModel()`
`javax.swing.DefaultListModel` | `getSecondModel()`
`javax.swing.ListModel` | `getSecondModel(int index_)`
`java.util.Vector` | `getSecondVector()`
`void` | `insertSecondElementAt(javax.swing.DefaultListModel pDefaultListModel_, int index_)`
`void` | `removeSecondElementAt(int index_)`
`void` | `set(java.util.Vector vFirst_, java.util.Vector vSecond_)` The first vector contains the elements for the first model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleListModel

    public DoubleListModel(java.util.Vector vFirstList_,
                           java.util.Vector vSecondList_)

Method Detail

### set

    public void set(java.util.Vector vFirst_,
                    java.util.Vector vSecond_)

  The first vector contains the elements for the first model. The second vector contains for each element from the first vector a vector with elements that belong to the element from the first vector.

### getFirstModel

    public javax.swing.DefaultListModel getFirstModel()

### getSecondVector

    public java.util.Vector getSecondVector()

### getSecondModel

    public javax.swing.DefaultListModel getSecondModel()

### getSecondModel

    public javax.swing.ListModel getSecondModel(int index_)

### insertSecondElementAt

    public void insertSecondElementAt(javax.swing.DefaultListModel pDefaultListModel_,
                                      int index_)

### removeSecondElementAt

    public void removeSecondElementAt(int index_)

### addFirstElement

    public void addFirstElement(java.lang.Object pObject_)

  Adds a new element into the first model with an empty list for the second model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD